Kea: user_chk Namespace Reference

| Kea 3.2.0-git

user_chk Namespace Reference

Defines the logger used by the user check hooks library. More...

## Classes
class | User
| Represents a unique DHCP user This class is used to represent a specific DHCP user who is identified by a unique id and who possesses a set of properties. More...
class | UserDataSource
| Defines an interface for reading user data into a registry. More...
class | UserDataSourceError
| Thrown if UserDataSource encounters an error. More...
class | UserFile
| Provides a UserDataSource implementation for JSON text files. More...
class | UserFileError
| Thrown a UserFile encounters an error. More...
class | UserId
| Encapsulates a unique identifier for a DHCP client. More...
class | UserRegistry
| Embodies an update-able, searchable list of unique users This class provides the means to create and maintain a searchable list of unique users. More...
class | UserRegistryError
| Thrown UserRegistry encounters an error. More...

## Typedefs
typedef std::map< std::string, std::string > | PropertyMap
| Defines a map of string values keyed by string labels.
typedef boost::shared_ptr< UserDataSource > | UserDataSourcePtr
| Defines a smart pointer to a UserDataSource.
typedef boost::shared_ptr< UserFile > | UserFilePtr
| Defines a smart pointer to a UserFile.
typedef boost::shared_ptr< UserId > | UserIdPtr
| Defines a smart pointer to UserId.
typedef std::map< UserId, UserPtr > | UserMap
| Defines a map of unique Users keyed by UserId.
typedef boost::shared_ptr< User > | UserPtr
| Defines a smart pointer to a User.
typedef boost::shared_ptr< UserRegistry > | UserRegistryPtr
| Define a smart pointer to a UserRegistry.

## Functions
std::ostream & | operator<< (std::ostream &os, const UserId &user_id)
| Outputs the UserId contents in a string to the given stream.

## Variables
isc::log::Logger | user_chk_logger ("user_chk")
| User Check Logger.

## Detailed Description

Defines the logger used by the user check hooks library.

## Typedef Documentation

## ◆ PropertyMap

typedef std::map<std::string, std::string> user_chk::PropertyMap

Defines a map of string values keyed by string labels.

Definition at line 145 of file user.h.

## ◆ UserDataSourcePtr

typedef boost::shared_ptr<UserDataSource> user_chk::UserDataSourcePtr

Defines a smart pointer to a UserDataSource.

Definition at line 67 of file user_data_source.h.

## ◆ UserFilePtr

typedef boost::shared_ptr<UserFile> user_chk::UserFilePtr

Defines a smart pointer to a UserFile.

Definition at line 126 of file user_file.h.

## ◆ UserIdPtr

typedef boost::shared_ptr<UserId> user_chk::UserIdPtr

Defines a smart pointer to UserId.

Definition at line 142 of file user.h.

## ◆ UserMap

typedef std::map<UserId,UserPtr> user_chk::UserMap

Defines a map of unique Users keyed by UserId.

Definition at line 30 of file user_registry.h.

## ◆ UserPtr

typedef boost::shared_ptr<User> user_chk::UserPtr

Defines a smart pointer to a User.

Definition at line 241 of file user.h.

## ◆ UserRegistryPtr

typedef boost::shared_ptr<UserRegistry> user_chk::UserRegistryPtr

Define a smart pointer to a UserRegistry.

Definition at line 118 of file user_registry.h.

## Function Documentation

## ◆ operator<<()

std::ostream & user_chk::operator<< | ( | std::ostream & | os,
|  | const UserId & | user_id )

Outputs the UserId contents in a string to the given stream.

The output string has the form "<type>=<id>" where:

<type> is the text label returned by UserId::lookupTypeStr() <id> is the output of UserId::toText() without a delimiter.

Examples: HW_ADDR=0c0e0a01ff06 DUID=0001000119efe63b000c01020306

Parameters

  os | output stream to which to write
  user_id | source object to output

Definition at line 146 of file user.cc.

References user_chk::UserId::getType(), user_chk::UserId::lookupTypeStr(), and user_chk::UserId::toText().

Here is the call graph for this function:

## Variable Documentation

## ◆ user_chk_logger

isc::log::Logger user_chk::user_chk_logger | ( | "user_chk" |  | ) |

User Check Logger.

Define the logger used to log messages. We could define it in multiple modules, but defining in a single module and linking to it saves time and space.

Definition at line 21 of file user_chk_log.h.

Referenced by load(), subnet4_select(), subnet6_select(), and unload().